%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-1.1.1
%global pypi_name devpi-client

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        2.0.3
Release:        1%{?dist}
Summary:        devpi upload/install/... workflow commands for Python developers

License:        MIT
URL:            https://bitbucket.org/hpk42/devpi
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  %{?scl_prefix_python}python-devel
BuildRequires:  %{?scl_prefix_python}python-setuptools
 
Requires:       %{?scl_prefix_python}python-setuptools
Requires:       %{?scl_prefix}python-tox >= 1.7.1
Requires:       %{?scl_prefix}python-devpi-common > 2.0.2
Requires:       %{?scl_prefix}python-pkginfo >= 1.2-0.1.b1
Requires:       %{?scl_prefix}python-check-manifest >= 0.21
Requires:       %{?scl_prefix}py >= 1.4.20
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}

%description
The "devpi" command line tool is typically used in conjunction
with devpi-server. It allows to upload, test and install packages
from devpi indexes. See http://doc.devpi.net for quickstart
and more documentation.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
%{__python} setup.py install --skip-build --root %{buildroot}
%{?scl:EOF}

%files
%doc README.rst
%{_bindir}/devpi
%{python_sitelib}/devpi
%{python_sitelib}/devpi_client-%{version}-py?.?.egg-info

%changelog
* Fri Oct 31 2014 Slavek Kabrda <bkabrda@redhat.com> - 2.0.3-1
- Initial package.
